Bug 1127169

Summary: Review Request: perl-CPAN-Reporter - Adds CPAN Testers reporting to CPAN.pm
Product: [Fedora] Fedora Reporter: David Dick <ddick>
Component: Package ReviewAssignee: Petr Pisar <ppisar>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, ppisar
Target Milestone: ---Flags: ppisar: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: perl-CPAN-Reporter-1.2011-2.el7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-09-05 22:22:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description David Dick 2014-08-06 10:19:38 UTC
Spec URL: https://ddick.fedorapeople.org/packages/perl-CPAN-Reporter.spec
SRPM URL: https://ddick.fedorapeople.org/packages/perl-CPAN-Reporter-1.2011-1.fc20.src.rpm
Description: Adds CPAN Testers reporting to CPAN.pm
Fedora Account System Username: ddick

Comment 2 Petr Pisar 2014-08-20 07:43:58 UTC
URL and Source0 addresses are usable. Ok.
Source archive is original (SHA-256: 0154f3cf6af5f20002fea34ae3b69a0300dcfc52000fea729aac4a3fa91f08fb) Ok.
License verified from README, LICENSE, lib/CPAN/Reporter.pm, lib/CPAN/Reporter/PrereqCheck.pm, lib/CPAN/Reporter/History.pm, lib/CPAN/Reporter/FAQ.pm, lib/CPAN/Reporter/Config.pm, lib/CPAN/Reporter/API.pm. Ok.
Summary verified from README. Ok.

FIX: The description is not sufficient. It talks about CPAN Testers but not a word about the software you package. I recommend to replace it with an excerpt from the second paragraph of README's DESCRIPTION:

    CPAN::Reporter is an add-on for the CPAN.pm
    module to send the results of building and testing modules to the CPAN
    Testers project.

TODO: Replace `%{__perl}' macros with plain `perl' command.
TODO: Package the `examples' directory as documentation.

No XS code, noarch BuildArch is Ok.
All build-time dependencies are specified. Ok.

(Upstream declares all dependencies very thoroughly. That's scarce phenomenon. Maybe it's because this software is used to exhibit tests so the upstream recognizes how important is to handle the dependencies very carefully :)

All tests pass. Ok.

$ rpmlint perl-CPAN-Reporter.spec ../SRPMS/perl-CPAN-Reporter-1.2011-1.fc22.src.rpm ../RPMS/noarch/perl-CPAN-Reporter-1.2011-1.fc22.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-CPAN-Reporter-1.2011-1.fc22.noarch.rpm  
drwxr-xr-x    2 root    root                        0 Aug 20 09:27 /usr/share/doc/perl-CPAN-Reporter
-rw-r--r--    1 root    root                     3402 Mar 16 22:28 /usr/share/doc/perl-CPAN-Reporter/CONTRIBUTING
-rw-r--r--    1 root    root                    44680 Mar 16 22:28 /usr/share/doc/perl-CPAN-Reporter/Changes
-rw-r--r--    1 root    root                    11500 Mar 16 22:28 /usr/share/doc/perl-CPAN-Reporter/LICENSE
-rw-r--r--    1 root    root                     7355 Mar 16 22:28 /usr/share/doc/perl-CPAN-Reporter/README
-rw-r--r--    1 root    root                     4588 Mar 16 22:28 /usr/share/doc/perl-CPAN-Reporter/Todo
-rw-r--r--    1 root    root                     4854 Aug 20 09:21 /usr/share/man/man3/CPAN::Reporter.3pm.gz
-rw-r--r--    1 root    root                     3698 Aug 20 09:21 /usr/share/man/man3/CPAN::Reporter::API.3pm.gz
-rw-r--r--    1 root    root                     5447 Aug 20 09:21 /usr/share/man/man3/CPAN::Reporter::Config.3pm.gz
-rw-r--r--    1 root    root                     3771 Aug 20 09:21 /usr/share/man/man3/CPAN::Reporter::FAQ.3pm.gz
-rw-r--r--    1 root    root                     3111 Aug 20 09:21 /usr/share/man/man3/CPAN::Reporter::History.3pm.gz
-rw-r--r--    1 root    root                     2704 Aug 20 09:21 /usr/share/man/man3/CPAN::Reporter::PrereqCheck.3pm.gz
drwxr-xr-x    2 root    root                        0 Aug 20 09:21 /usr/share/perl5/vendor_perl/CPAN
drwxr-xr-x    2 root    root                        0 Aug 20 09:21 /usr/share/perl5/vendor_perl/CPAN/Reporter
-rw-r--r--    1 root    root                    54772 Mar 16 22:28 /usr/share/perl5/vendor_perl/CPAN/Reporter.pm
-rw-r--r--    1 root    root                     4934 Mar 16 22:28 /usr/share/perl5/vendor_perl/CPAN/Reporter/API.pm
-rw-r--r--    1 root    root                    31486 Mar 16 22:28 /usr/share/perl5/vendor_perl/CPAN/Reporter/Config.pm
-rw-r--r--    1 root    root                     4361 Mar 16 22:28 /usr/share/perl5/vendor_perl/CPAN/Reporter/FAQ.pm
-rw-r--r--    1 root    root                    12877 Mar 16 22:28 /usr/share/perl5/vendor_perl/CPAN/Reporter/History.pm
-rw-r--r--    1 root    root                     7822 Mar 16 22:28 /usr/share/perl5/vendor_perl/CPAN/Reporter/PrereqCheck.pm
File layout and permissions are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-CPAN-Reporter-1.2011-1.fc22.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.18.2)
      1 perl(Capture::Tiny)
      1 perl(Carp)
      1 perl(Config)
      1 perl(Config::Tiny) >= 2.08
      1 perl(constant)
      1 perl(CPAN) >= 1.94
      1 perl(CPAN::Reporter::Config)
      1 perl(CPAN::Reporter::History)
      1 perl(CPAN::Reporter::PrereqCheck)
      1 perl(CPAN::Version)
      1 perl(Devel::Autoflush) >= 0.04
      1 perl(Exporter)
      1 perl(ExtUtils::MakeMaker) >= 6.36
      1 perl(Fcntl)
      1 perl(File::Basename)
      1 perl(File::Find)
      1 perl(File::Glob)
      1 perl(File::HomeDir) >= 0.58
      1 perl(File::Path)
      1 perl(File::Spec) >= 3.19
      1 perl(File::Temp) >= 0.16
      1 perl(IO::File)
      1 perl(IPC::Cmd) >= 0.76
      1 perl(Parse::CPAN::Meta)
      1 perl(Probe::Perl)
      1 perl(strict)
      1 perl(Test::Reporter) >= 1.54
      1 perl(vars)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
FIX: Run-require `perl(Data::Dumper)' (lib/CPAN/Reporter.pm:933).

$ rpm -q --provides -p ../RPMS/noarch/perl-CPAN-Reporter-1.2011-1.fc22.noarch.rpm | sort -f | uniq -c
      1 perl(CPAN::Reporter) = 1.2011
      1 perl(CPAN::Reporter::API) = 1.2011
      1 perl(CPAN::Reporter::Config) = 1.2011
      1 perl(CPAN::Reporter::FAQ) = 1.2011
      1 perl(CPAN::Reporter::History) = 1.2011
      1 perl(CPAN::Reporter::PrereqCheck) = 1.2011
      1 perl-CPAN-Reporter = 1.2011-1.fc22
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-CPAN-Reporter-1.2011-1.fc22.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F22 (http://koji.fedoraproject.org/koji/taskinfo?taskID=7429842).

Otherwise the package is in line with Fedora and Perl packaging guidelines.

Please correct all `FIX' items, consider fixing `TODO' items, and provide new spec file.
Resolution: NOT approved.

Comment 3 David Dick 2014-08-20 10:26:10 UTC
Done.

Spec URL: https://ddick.fedorapeople.org/packages/perl-CPAN-Reporter.spec
SRPM URL: https://ddick.fedorapeople.org/packages/perl-CPAN-Reporter-1.2011-1.fc20.src.rpm

--- old/perl-CPAN-Reporter.spec 2014-08-06 20:05:58.000000000 +1000
+++ perl-CPAN-Reporter.spec     2014-08-20 20:13:43.978842598 +1000
@@ -45,7 +45,8 @@
 BuildRequires:  perl(version)
 BuildRequires:  perl(warnings)
 Requires:       perl(CPAN) >= 1.94
-Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
+Requires:       perl(Data::Dumper)
+Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
 
 %{?perl_default_filter}
 %global __requires_exclude %{?__requires_exclude:__requires_exclude|}^perl\\(Win32::Job)
@@ -53,17 +54,14 @@
 %global __requires_exclude %__requires_exclude|^perl\\(File::HomeDir\\)$
 %global __requires_exclude %__requires_exclude|^perl\\(CPAN\\)
 %description
-The CPAN Testers project captures and analyzes detailed results from
-building and testing CPAN distributions on multiple operating systems and
-multiple versions of Perl. This provides valuable feedback to module
-authors and potential users to identify bugs or platform compatibility
-issues and improves the overall quality and value of CPAN.
+CPAN::Reporter is an add-on for the CPAN.pm module to send the results of
+building and testing modules to the CPAN Testers project.
 
 %prep
 %setup -q -n CPAN-Reporter-%{version}
 
 %build
-%{__perl} Makefile.PL INSTALLDIRS=vendor
+perl Makefile.PL INSTALLDIRS=vendor
 make %{?_smp_mflags}
 
 %install
@@ -77,7 +75,7 @@
 make test
 
 %files
-%doc Changes CONTRIBUTING LICENSE README Todo
+%doc Changes CONTRIBUTING LICENSE README Todo examples
 %{perl_vendorlib}/*
 %{_mandir}/man3/*

Comment 4 Petr Pisar 2014-08-20 11:02:41 UTC
Spec file changes:

$ diff -u perl-CPAN-Reporter.spec{.old,}
--- perl-CPAN-Reporter.spec.old 2014-08-06 12:05:58.000000000 +0200
+++ perl-CPAN-Reporter.spec     2014-08-20 12:25:57.000000000 +0200
@@ -45,7 +45,8 @@
 BuildRequires:  perl(version)
 BuildRequires:  perl(warnings)
 Requires:       perl(CPAN) >= 1.94
-Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
+Requires:       perl(Data::Dumper)
+Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
 
 %{?perl_default_filter}
 %global __requires_exclude %{?__requires_exclude:__requires_exclude|}^perl\\(Win32::Job)
@@ -53,17 +54,14 @@
 %global __requires_exclude %__requires_exclude|^perl\\(File::HomeDir\\)$
 %global __requires_exclude %__requires_exclude|^perl\\(CPAN\\)
 %description
-The CPAN Testers project captures and analyzes detailed results from
-building and testing CPAN distributions on multiple operating systems and
-multiple versions of Perl. This provides valuable feedback to module
-authors and potential users to identify bugs or platform compatibility
-issues and improves the overall quality and value of CPAN.
+CPAN::Reporter is an add-on for the CPAN.pm module to send the results of
+building and testing modules to the CPAN Testers project.
 
 %prep
 %setup -q -n CPAN-Reporter-%{version}
 
 %build
-%{__perl} Makefile.PL INSTALLDIRS=vendor
+perl Makefile.PL INSTALLDIRS=vendor
 make %{?_smp_mflags}
 
 %install
@@ -77,7 +75,7 @@
 make test
 
 %files
-%doc Changes CONTRIBUTING LICENSE README Todo
+%doc Changes CONTRIBUTING LICENSE README Todo examples
 %{perl_vendorlib}/*
 %{_mandir}/man3/*
 

> FIX: The description is not sufficient. It talks about CPAN Testers but not a
> word about the software you package. I recommend to replace it with an excerpt > from the second paragraph of README's DESCRIPTION:
 %description
-The CPAN Testers project captures and analyzes detailed results from
-building and testing CPAN distributions on multiple operating systems and
-multiple versions of Perl. This provides valuable feedback to module
-authors and potential users to identify bugs or platform compatibility
-issues and improves the overall quality and value of CPAN.
+CPAN::Reporter is an add-on for the CPAN.pm module to send the results of
+building and testing modules to the CPAN Testers project.
Ok.

> TODO: Replace `%{__perl}' macros with plain `perl' command.
-Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
+Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

-%{__perl} Makefile.PL INSTALLDIRS=vendor
+perl Makefile.PL INSTALLDIRS=vendor
Ok.

> TODO: Package the `examples' directory as documentation.
-%doc Changes CONTRIBUTING LICENSE README Todo
+%doc Changes CONTRIBUTING LICENSE README Todo examples

> FIX: Run-require `perl(Data::Dumper)' (lib/CPAN/Reporter.pm:933).
+Requires:       perl(Data::Dumper)
Ok.

$ rpmlint perl-CPAN-Reporter.spec ../SRPMS/perl-CPAN-Reporter-1.2011-1.fc22.src.rpm ../RPMS/noarch/perl-CPAN-Reporter-1.2011-1.fc22.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-CPAN-Reporter-1.2011-1.fc22.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.18.2)
      1 perl(Capture::Tiny)
      1 perl(Carp)
      1 perl(Config)
      1 perl(Config::Tiny) >= 2.08
      1 perl(constant)
      1 perl(CPAN) >= 1.94
      1 perl(CPAN::Reporter::Config)
      1 perl(CPAN::Reporter::History)
      1 perl(CPAN::Reporter::PrereqCheck)
      1 perl(CPAN::Version)
      1 perl(Data::Dumper)
      1 perl(Devel::Autoflush) >= 0.04
      1 perl(Exporter)
      1 perl(ExtUtils::MakeMaker) >= 6.36
      1 perl(Fcntl)
      1 perl(File::Basename)
      1 perl(File::Find)
      1 perl(File::Glob)
      1 perl(File::HomeDir) >= 0.58
      1 perl(File::Path)
      1 perl(File::Spec) >= 3.19
      1 perl(File::Temp) >= 0.16
      1 perl(IO::File)
      1 perl(IPC::Cmd) >= 0.76
      1 perl(Parse::CPAN::Meta)
      1 perl(Probe::Perl)
      1 perl(strict)
      1 perl(Test::Reporter) >= 1.54
      1 perl(vars)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Binary requires are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-CPAN-Reporter-1.2011-1.fc22.noarch.rpm 
Binary dependencies resolvable. Ok.

Package build in F22 (http://koji.fedoraproject.org/koji/taskinfo?taskID=7430279). Ok.

Resolution: Package APPROVED.

Comment 5 David Dick 2014-08-20 11:06:52 UTC
Thanks Petr.  Most appreciated.

New Package SCM Request
=======================
Package Name: perl-CPAN-Reporter
Short Description: Adds CPAN Testers reporting to CPAN.pm
Upstream URL: http://search.cpan.org/dist/CPAN-Reporter/
Owners: ddick
Branches: f20, f21
InitialCC: perl-sig

Comment 6 Gwyn Ciesla 2014-08-20 13:56:40 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-08-21 06:46:32 UTC
perl-CPAN-Reporter-1.2011-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-CPAN-Reporter-1.2011-1.fc20

Comment 8 Fedora Update System 2014-08-23 01:54:50 UTC
perl-CPAN-Reporter-1.2011-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 9 Fedora Update System 2014-09-05 22:22:19 UTC
perl-CPAN-Reporter-1.2011-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 10 David Dick 2014-12-12 08:45:00 UTC
Package Change Request
======================
Package Name: perl-CPAN-Reporter
New Branches: epel7
Owners: ddick
InitialCC: perl-sig

Comment 11 Fedora Update System 2014-12-12 10:27:51 UTC
perl-CPAN-Reporter-1.2011-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/perl-CPAN-Reporter-1.2011-2.fc21

Comment 12 Gwyn Ciesla 2014-12-12 14:02:52 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2014-12-25 05:33:25 UTC
perl-CPAN-Reporter-1.2011-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 14 Fedora Update System 2015-01-14 22:19:48 UTC
perl-CPAN-Reporter-1.2011-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-CPAN-Reporter-1.2011-2.el7

Comment 15 Fedora Update System 2015-01-31 16:52:49 UTC
perl-CPAN-Reporter-1.2011-2.el7 has been pushed to the Fedora EPEL 7 stable repository.